** This file is generated from 'config.sh --help' output, do not edit it. **

OSCam config
Usage: config.sh [parameters]

 -g, --gui                    Start interactive configuration

 -s, --show-enabled [param]   Show enabled configuration options.
 -Z, --show-disabled [param]  Show disabled configuration options.
 -S, --show-valid [param]     Show valid configuration options.
                              Possible params: all, addons, protocols,
                                               readers, card_readers

 -l, --list-config            List active configuration variables.
 -e, --enabled [option]       Check if certain option is enabled.
 -d, --disabled [option]      Check if certain option is disabled.

 -E, --enable [option]        Enable config option.
 -D, --disable [option]       Disable config option.

    The following [option]s enable or disable multiple settings.
      all          - Everything.
      addons       - All addons.
      protocols    - All protocols.
      readers      - All readers.
      card_readers - All card readers.

 -R, --restore                Restore default config.

 -cc, --create-cert [option]  Create a new self signed X.509 certificate and private key.

    The following [option]s in this order are supported:
      ecdsa|rsa       - key type (default: ecdsa)
      prime256v1|4096 - key length (default: prime256v1), any ecdsa curve or rsa length should work
      ca              - create Root CA certificates
      subject         - X.509 certificate subject e.g. 'My OSCam Distribution'

 -cf, --cert-file [option]    Get filename of requested (cert|privkey) type.
 -ci, --cert-info             Get a list of useful certificate information.
 -cl, --add-cert [option]     Create symlinks to use a custom, pre-created set of X.509 certificate and private key.

    The following [option]s in this order are mandatory:
      certificate filename - relative/absolute path to certificate file
      private key filename - relative/absolute path to private key file

 -sm, --sign-marker           Get Oscam binary signature marker.
 -um, --upx-marker            Get Oscam binary upx marker.
 -v, --oscam-version          Display OSCam version.
 -c, --oscam-commit           Display OSCam GIT short commit sha 8-digits.

 -O, --detect-osx-sdk-version Find where OS X SDK is located

 -h, --help                   Display this help text.

Examples:
  # Enable WEBIF and SSL
  ./config.sh --enable WEBIF WITH_SSL

  # Disable WEBIF but enable WITH_SSL
  ./config.sh --disable WEBIF --enable WITH_SSL

  # Restore defaults and disable WEBIF and READER_NAGRA
  ./config.sh --restore --disable WEBIF READER_NAGRA

  # Use default config with only one enabled reader
  ./config.sh --restore --disable readers --enable READER_BULCRYPT

  # Disable everything and enable webif one module and one card reader
  ./config.sh --disable all --enable WEBIF MODULE_NEWCAMD READER_BULCRYPT

  # Disable all card readers except INTERNAL
  ./config.sh -D card_readers -E CARDREADER_INTERNAL

  # Create new self signed private key and certificate with defaults
  ./config.sh --create-cert

  # Create new self signed private key and certificate with custom settings
  ./config.sh --create-cert rsa 4096

  # Create new Root CA with private key and certificate with custom settings
  ./config.sh --create-cert ecdsa prime256v1 ca 'My OSCam Distribution'

Available options:
       addons: WEBIF WEBIF_LIVELOG WEBIF_JQUERY WITH_COMPRESS_WEBIF WITH_SSL HAVE_DVBAPI WITH_EXTENDED_CW WITH_NEUTRINO READ_SDT_CHARSETS CS_ANTICASC WITH_DEBUG MODULE_MONITOR WITH_LB CS_CACHEEX CS_CACHEEX_AIO CW_CYCLE_CHECK LCDSUPPORT LEDSUPPORT CLOCKFIX IPV6SUPPORT WITH_ARM_NEON WITH_SIGNING WITH_EMU WITH_SOFTCAM
    protocols: MODULE_CAMD33 MODULE_CAMD35 MODULE_CAMD35_TCP MODULE_NEWCAMD MODULE_CCCAM MODULE_CCCSHARE MODULE_GBOX MODULE_RADEGAST MODULE_SCAM MODULE_SERIAL MODULE_CONSTCW MODULE_PANDORA MODULE_GHTTP MODULE_STREAMRELAY
      readers: READER_NAGRA READER_NAGRA_MERLIN READER_IRDETO READER_CONAX READER_CRYPTOWORKS READER_SECA READER_VIACCESS READER_VIDEOGUARD READER_DRE READER_TONGFANG READER_BULCRYPT READER_GRIFFIN READER_DGCRYPT
 card_readers: CARDREADER_PHOENIX CARDREADER_INTERNAL CARDREADER_SC8IN1 CARDREADER_MP35 CARDREADER_SMARGO CARDREADER_DB2COM CARDREADER_STAPI CARDREADER_STAPI5 CARDREADER_STINGER CARDREADER_DRECAS
